NVIDIA Virtual GPU Manager Multiple Vulnerabilities (May 2022)

medium Nessus Plugin ID 163398

Synopsis

A GPU virtualization application installed on the remote host is affected by multiple vulnerabilities.

Description

The NVIDIA Virtual GPU Manager software on the remote host is missing a security update. It is, therefore, affected by multiple vulnerabilities, including the following:

- NVIDIA vGPU software contains a vulnerability in the Virtual GPU Manager (nvidia.ko), where uncontrolled resource consumption can be triggered by an unprivileged regular user, which may lead to denial of service. (CVE-2022-28191)
- NVIDIA vGPU software contains a vulnerability in the Virtual GPU Manager (nvidia.ko), where it may lead to a use-after-free, which in turn may cause denial of service. This attack is complex to carry out because the attacker needs to have control over freeing some host side resources out of sequence, which requires elevated privileges. (CVE-2022-28192) Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update NVIDIA vGPU software to version 11.8, 13.3, 14.1 or later.

See Also

https://nvidia.custhelp.com/app/answers/detail/a_id/5353

Plugin Details

Severity: Medium

ID: 163398

File Name: nvidia_vgpu_2022_05.nasl

Version: 1.3

Type: local

Family: Misc.

Published: 7/22/2022

Updated: 7/25/2022

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4.9

Temporal Score: 3.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-28191

CVSS v3

Risk Factor: Medium

Base Score: 5.5

Temporal Score: 4.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:a:nvidia:virtual_gpu_manager:*:*:*:*:*:*:*:*

Required KB Items: installed_sw/NVIDIA Virtual GPU Manager

Exploit Ease: No known exploits are available

Patch Publication Date: 5/24/2021

Vulnerability Publication Date: 5/24/2021

Reference Information

CVE: CVE-2022-28191, CVE-2022-28192

IAVA: 2022-A-0281